com.sap.conn.jco

## Interface JCoParameterList

- All Superinterfaces:
    Cloneable, Iterable<JCoField>, JCoRecord, Serializable
  All Known Subinterfaces:
    JCoRequest, JCoResponse

      public interface JCoParameterList
      extends JCoRecord

  A class that encapsulates a parameter list used to pass on data to a function.
  See Also:
    `JCoFunction`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCoListMetaData` | `getListMetaData()` returns the appropriated meta data object, that was used for creation of this record.
    `JCoParameterFieldIterator` | `getParameterFieldIterator()` Returns an iterator over JCoParameterField.
    `boolean` | `isActive(int index)` Checks whether the specified field is active.
    `boolean` | `isActive(String field_name)` Checks whether the specified field is active.
    `void` | `setActive(int index, boolean active)` Sets the marshall/unmarshall behavior of a parameter.
    `void` | `setActive(String name, boolean active)` Sets the marshall/unmarshall behavior of a parameter.

    - ### Methods inherited from interface com.sap.conn.jco.JCoRecord

      `clear, clone, copyFrom, getAbapObject, getAbapObject, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBinaryStream, getBinaryStream, getByte, getByte, getByteArray, getByteArray, getChar, getChar, getCharacterStream, getCharacterStream, getCharArray, getCharArray, getClassNameOfValue, getDate, getDate, getDouble, getDouble, getField, getField, getFieldCount, getFieldIterator, getFloat, getFloat, getInt, getInt, getLong, getLong, getMetaData, getShort, getShort, getString, getString, getStructure, getStructure, getTable, getTable, getTime, getTime, getValue, getValue, isInitialized, isInitialized, iterator, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, toJSON, toJSON, toXML, toXML, toXML, write, write`

- - ### Method Detail

    - #### getListMetaData

          JCoListMetaData getListMetaData()

      returns the appropriated meta data object, that was used for creation of this record.
      Returns:
        MetaData instance of the appropriated meta data object

    - #### getParameterFieldIterator

          JCoParameterFieldIterator getParameterFieldIterator()

      Returns an iterator over JCoParameterField.
      Returns:
        JCoParameterFieldIterator instance
      See Also:
        `JCoRecord.iterator()`, `JCoRecord.getFieldIterator()`

    - #### isActive

          boolean isActive(int index)

      Checks whether the specified field is active.
      Parameters:
        `index` - the index of the field
      Returns:
        true if the specified field is an activated parameter, `false` otherwise
      Throws:
        `IndexOutOfBoundsException` - in case if index is negative or out of range

    - #### isActive

          boolean isActive(String field_name)

      Checks whether the specified field is active.
      Parameters:
        `field_name` - the name of the field
      Returns:
        true if the specified field is an activated parameter, `false` otherwise
      Throws:
        `JCoRuntimeException` - thrown if a field with the specified name does not exist

    - #### setActive

          void setActive(int index,
                       boolean active)

      Sets the marshall/unmarshall behavior of a parameter. If set to `false` the parameter will never be sent or fetched from the remote system. The default value is `true`, i.e. always get and send the parameter contents.
      Parameters:
        `index` - the index of the parameter
        `active` - `true` if the parameter should be sent or fetched during a JCO call, `false` if not.

    - #### setActive

          void setActive(String name,
                       boolean active)

      Sets the marshall/unmarshall behavior of a parameter. If set to `false` the parameter will never be sent or fetched from the remote system. The default value is `true`, i.e. always get and send the parameter contents.
      Parameters:
        `name` - the name of the parameter
        `active` - `true` if the parameter should be sent or fetched during a JCO call, `false` if not.

Copyright © 2016 SAP. All Rights Reserved.